# H248_MId Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_ip4Address, e_ip6Address, e_domainName, e_deviceName, e_mtpAddress }

## Public Member Functions

| H248_MId (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_IP4Address & ()
| operator const H248_IP4Address & () const
| operator H248_IP6Address & ()
| operator const H248_IP6Address & () const
| operator H248_DomainName & ()
| operator const H248_DomainName & () const
| operator H248_PathName & ()
| operator const H248_PathName & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_MId::Choices

Enumerator:

  e_ip4Address |
  e_ip6Address |
  e_domainName |
  e_deviceName |
  e_mtpAddress |

## Constructor & Destructor Documentation

H248_MId::H248_MId | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_MId::operator H248_IP4Address & | ( |  | ) |

H248_MId::operator const H248_IP4Address & | ( |  | ) | const

H248_MId::operator H248_IP6Address & | ( |  | ) |

H248_MId::operator const H248_IP6Address & | ( |  | ) | const

H248_MId::operator H248_DomainName & | ( |  | ) |

H248_MId::operator const H248_DomainName & | ( |  | ) | const

H248_MId::operator H248_PathName & | ( |  | ) |

H248_MId::operator const H248_PathName & | ( |  | ) | const

PBoolean H248_MId::CreateObject | ( |  | ) |

PObject* H248_MId::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h